@charset "utf-8";

/* モバイル・タブレット向けの調整 */
@media (max-width: 768px) {
  html{
    max-width: 100%;
    height: auto;
    margin: 0 auto;
    word-break: break-all;
    box-sizing: border-box;
  }
}

@media (max-width: 1024px) {
  /* =========================
     トップ
  ========================= */
  .hero { 
    height: 60vh;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

  }
  .bottle, .glass { display: none; }
  .hero-text h1 { font-size: 24px; }
  .hero-text img { 
    max-width: 150px; }
  .main-copy img{ max-width: 100%;
  }
  
  /* =========================
     ヘッダー
  ========================= */
  .toggle-menu-button {
    display: block;
    width: 60px;
    background-image: url(../img/bullets.png);
    background-size: 50%;
    background-position: center;
    background-repeat: no-repeat;
    background-color: transparent;
    border: none;
    outline: none;}
  .header-left .icon{ display: none;}
  .header-right img{ 
    width: 25px;
    padding: 0;
    margin: 0;}
  .header-right{ 
    margin-left: 10px;
    margin-right: 0;}
    .header-right .search{
      display: none;
    }
}

/* =========================
   特集
========================= */
/* レスポンシブ：タブレットで2列、スマホで1列 */
@media (max-width: 1024px) {
  .tokushu-grid {
    grid-template-columns: repeat(2, 1fr);
    margin: 0 10px;;
  }
}
@media (max-width: 768px) {
  .tokushu-grid {
    grid-template-columns: 1fr;
  }
}
/* =========================
   ラベル
========================= */
@media (max-width: 768px) {
  .label-card {
    width: 100%;
    height: 100%;
    border-radius: 45px;
    object-fit: cover;
  }
  }

/* =========================
   ランキング
========================= */
@media (max-width: 1024px) {
  .rank-grid.top3 {
    grid-template-columns: repeat(1, 1fr);
    align-items: end;
    margin: 0 10px;
  }
  .rank-grid.minor {
    grid-template-columns: repeat(2, 1fr); 
  }
  .rank-more-card {
    grid-column: span 2; 
  }
  .more-rank-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }
}
/* =========================
   ページトップボタン強化
========================= */
@media (hover: hover) and (pointer: fine) {
  .pagetop:hover,
  .pagetop:hover .pagetop__arrow {
    border-color: #f0672a;
  }
}
